# 32/64bit spec-file
#
%define _disable_ld_no_undefined 1

Name:           garmintools
Version:        0.10
Release:        %mkrel 1

Summary:        Communication tools for Garmin devices
License:        GPLv2+
Group:          Communications
URL:            http://code.google.com/p/garmintools/
Source:         http://garmintools.googlecode.com/files/%{name}-%{version}.tar.xz
Source1:        51-garmin.rules
Source2:        garmintools.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  %{_lib}usb1.0-devel %{_lib}usb-compat0.1-devel
Requires:       udev


%description
This software provides Linux users with the ability to communicate with
the Garmin Forerunner 305 via the USB interface. All of the documented
Garmin protocols as of Rev C (May 19, 2006) for the USB physical link
implemented.
This means that if you have a Garmin with a USB connection to a PC, you 
ought to be able to use this software to communicate with it.


%package devel
Summary:        Development and documentation files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}


%description devel
Static libraries, header files and documentation for %{name}.


%prep
%setup -q


%build
%configure2_5x --enable-static=no LIBUSB_CONFIG="/usr/bin/pkg-config libusb"
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make 


%install
rm -rf %{buildroot}
%makeinstall_std 
install -Dp -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/udev/rules.d/51-garmin.rules
install -Dp -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/modprobe.d/garmintools.conf
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig
# remove garmin_gps module if loaded, see README
rmmod garmin_gps &>/dev/null || true
 

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_mandir}/man*/*.1*
%{_bindir}/garmin_*
%{_libdir}/lib*.so.*
%config(noreplace) %{_sysconfdir}/udev/rules.d/*
%config(noreplace) %{_sysconfdir}/modprobe.d/*


%files devel
%defattr(-,root,root,-)
%doc NEWS
%{_includedir}/*.h
%{_libdir}/lib*.so


%changelog
* Fri Dec 07 2012 Ken <lxgator@gmail.com> 0.10-1pclos2012
- imported

